# Class THREEGLTFLoader

#### Hierarchy (View Summary)

- Loader
  - THREEGLTFLoader
    - GLTFLoader

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:32

##### Index

### Constructors

constructor

### Properties

ddsLoader
dracoLoader

### Methods

load
parse
setDDSLoader
setDRACOLoader

## Constructors

### constructor

- new THREEGLTFLoader(manager?: LoadingManager): THREEGLTFLoader

  #### Parameters

  - `Optional` manager: LoadingManager

  #### Returns THREEGLTFLoader

  Overrides Loader.constructor

  - Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:34

## Properties

### ddsLoader

ddsLoader: DDSLoader | null

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:36

### dracoLoader

dracoLoader: DRACOLoader | null

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:35

## Methods

### load

- load(
  url: string,
  onLoad: (gltf: THREEGLTF) => void,
  onProgress?: (event: ProgressEvent) => void,
  onError?: (event: ErrorEvent) => void,
  ): void

  #### Parameters

  - url: string
  - onLoad: (gltf: THREEGLTF) => void
  - `Optional` onProgress: (event: ProgressEvent) => void
  - `Optional` onError: (event: ErrorEvent) => void

  #### Returns void

  - Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:38

### parse

- parse(
  data: string | ArrayBuffer,
  path: string,
  onLoad: (gltf: THREEGLTF) => void,
  onError?: (event: ErrorEvent) => void,
  ): void

  #### Parameters

  - data: string | ArrayBuffer
  - path: string
  - onLoad: (gltf: THREEGLTF) => void
  - `Optional` onError: (event: ErrorEvent) => void

  #### Returns void

  - Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:41

### setDDSLoader

- setDDSLoader(ddsLoader: DDSLoader): THREEGLTFLoader

  #### Parameters

  - ddsLoader: DDSLoader

  #### Returns THREEGLTFLoader

  - Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:40

### setDRACOLoader

- setDRACOLoader(dracoLoader: DRACOLoader): THREEGLTFLoader

  #### Parameters

  - dracoLoader: DRACOLoader

  #### Returns THREEGLTFLoader

  - Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:39